#ifdef GL_ES 
precision highp float;
#endif
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform vec2 position;
uniform float lightSize;
uniform float darkness;

void main()
{
    gl_FragColor = vec4(vec3(0,0,0), darkness);
    
    float distanceValue = distance(gl_FragCoord.xy, position);
    
    if (distanceValue < lightSize) {
        float limit = lightSize / 2.0;
        float res = limit - (lightSize - distanceValue);
        if (res > 0.0) {
            res = res / limit;
        }else{
            res = 0.0;
        }
        gl_FragColor.a = darkness * res;
    }
}